/// <reference types="dragula" />
import { PropType } from 'vue';
import * as common from 'schema-based-json-editor';
export * from 'schema-based-json-editor';
export { ArrayEditor } from './array-editor';
export { ObjectEditor } from './object-editor';
/**
 * @public
 */
export declare const JSONEditor: import("vue").DefineComponent<{
    schema: {
        type: PropType<common.Schema>;
        required: true;
    };
    initialValue: null;
    theme: StringConstructor;
    icon: StringConstructor;
    locale: PropType<{
        button: {
            collapse: string;
            expand: string;
            add: string;
            delete: string;
        };
        error: {
            minLength: string;
            maxLength: string;
            pattern: string;
            minimum: string;
            maximum: string;
            largerThan: string;
            smallerThan: string;
            minItems: string;
            uniqueItems: string;
            multipleOf: string;
            minProperties: string;
            maxProperties: string;
        };
        info: {
            notExists: string;
            true: string;
            false: string;
            search: string;
        };
        markdownTipLocale: any;
        fileUploaderLocale: {
            dragAndDrop: string;
            selectFile: string;
            pasteFromClipboard: string;
        };
    }>;
    readonly: BooleanConstructor;
    dragula: PropType<import("dragula").Dragula | undefined>;
    markdownit: FunctionConstructor;
    hljs: PropType<HLJSApi>;
    forceHttps: BooleanConstructor;
    disableCollapse: BooleanConstructor;
    noSelect2: BooleanConstructor;
    minItemCountIfNeedFilter: NumberConstructor;
    monacoEditor: PropType<typeof import("monaco-editor").editor>;
}, unknown, unknown, {
    themeObject(): common.Theme;
    localeObject(): common.Locale;
    iconObject(): common.Icon;
    md(): any;
}, {
    getReference(name: string): common.StringSchema | common.ObjectSchema | common.ArraySchema | common.NumberSchema | common.BooleanSchema | common.NullSchema | common.AnySchema | undefined;
    updateValue(value: common.ValueType): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    schema: common.Schema;
    readonly: boolean;
    noSelect2: boolean;
    forceHttps: boolean;
    disableCollapse: boolean;
} & {
    icon?: string | undefined;
    theme?: string | undefined;
    locale?: {
        button: {
            collapse: string;
            expand: string;
            add: string;
            delete: string;
        };
        error: {
            minLength: string;
            maxLength: string;
            pattern: string;
            minimum: string;
            maximum: string;
            largerThan: string;
            smallerThan: string;
            minItems: string;
            uniqueItems: string;
            multipleOf: string;
            minProperties: string;
            maxProperties: string;
        };
        info: {
            notExists: string;
            true: string;
            false: string;
            search: string;
        };
        markdownTipLocale: any;
        fileUploaderLocale: {
            dragAndDrop: string;
            selectFile: string;
            pasteFromClipboard: string;
        };
    } | undefined;
    initialValue?: any;
    monacoEditor?: typeof import("monaco-editor").editor | undefined;
    hljs?: HLJSApi | undefined;
    dragula?: import("dragula").Dragula | undefined;
    minItemCountIfNeedFilter?: number | undefined;
    markdownit?: Function | undefined;
}>, {
    readonly: boolean;
    noSelect2: boolean;
    forceHttps: boolean;
    disableCollapse: boolean;
}>;
